Subject: bug#22189: 25.1.50; [PATCH] Add `global-goto-address-mode' and `global-goto-address-prog-mode'

From: John Wiegley <[email-masked]>
Date: Sun, 20 Dec 2015 14:37:59 -0800

>>>>> Eli Zaretskii <[email-masked]> writes:

> Any rationale for adding these?

I don't see a reason not to accept this patch on master. Unless I'm not seeing
a reason *not* to want `goto-address-mode' easily enabled globally.

To Vaidheeswaran: Patches are accepted at the whim of the maintainers, so if
we ask you for clarification, please do not be short or glib with us. All you
need to say is, "I believe it would be useful for users to be able to easily
enable goto-address-mode in all buffers".

That said, we don't operate in a mode of doing whatever is possible, but
rather what we wish to maintain. This change alone is harmless, but a hundred
such changes could cause much annoyance. This is why we ask for rationale,
when it may seem pointless to do so.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2